#!/bin/bash

E_NO_ARGS=65

if [ $# -eq 0 ] # Must have command-line args to demo script.
then
  echo "Please specify the database name to monitor :"
  echo "Usage: $0 mydb"
  echo "It will output commandlines to do the symlink and configuration to add."
  echo "Nothing realy done, *you* have execute the output."
  exit $E_NO_ARGS
fi

DBNAME=$1
ETC_MUNIN="/etc/munin"

PLUGINS="connections db_size locks stat_bgwriter stat_database statio_tables stat_tables"

for PLUGIN in $PLUGINS
do
	echo "sudo ln -s $PWD/pg__$PLUGIN $ETC_MUNIN/plugins/pg_"$DBNAME"_"$PLUGIN
done


cat <<EOF

Add this to your plugin-conf.d/munin-node :

cat <<INFO >> $ETC_MUNIN/plugin-conf.d/munin-node

[pg_$DBNAME*]
user postgres
env.dbname $DBNAME
INFO
EOF


